post
https://partner.gupshup.io/partner/bizgate/app//messaging?messageType=flow
Send WhatsApp Flow message — one message type of POST /partner/bizgate/app/{appId}/messaging; send the cURL below as shown.
Variant: WhatsApp Flow.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
Body
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| messaging_product | Always "whatsapp". | — | Required | |
| recipient_type | Always "individual"; group recipients are not supported here. | individual | — | Optional |
| to | E.164 without + | 12XXXXXXX92 | — | Required |
| type | text, template, image, … | template | — | Optional |
| template | Required when type=template | — | — | Optional |
curl --request POST \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/messaging' \
--header 'Authorization: Bearer <UT>' \
--header 'Content-Type: application/json' \
--data '{
"messaging_product": "whatsapp",
"recipient_type": "individual",
"to": "91XXXXXXXX10",
"type": "interactive",
"interactive": {
"type": "flow",
"header": {
"type": "text",
"text": "Book your appointment"
},
"body": {
"text": "Pick a slot that works for you."
},
"footer": {
"text": "Takes under a minute"
},
"action": {
"name": "flow",
"parameters": {
"flow_message_version": "3",
"flow_token": "flow-token-10482",
"flow_id": "1873455556789012",
"flow_cta": "Book now",
"flow_action": "navigate",
"flow_action_payload": {
"screen": "APPOINTMENT",
"data": {
"product_name": "Gardening workshop",
"product_description": "90-minute hands-on session",
"product_price": 1299
}
}
}
}
}
}
'Sample success response (200)
{
"messages": [
{
"id": "GUPSHUP_MESSAGE_ID"
}
],
"messaging_product": "whatsapp",
"contacts": [
{
"input": "DESTINATION_PHONE_NO",
"wa_id": "DESTINATION_PHONE_NO"
}
]
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…